Subject: Re: bug#17215: Acknowledgement (Build failure)

From: Eli Zaretskii <[email-masked]>
Date: Sat, 12 Apr 2014 11:35:06 +0300

> From: Stefan Monnier <[email-masked]>
> Date: Fri, 11 Apr 2014 16:11:58 -0400
> Cc: [email-masked], David Kastrup <[email-masked]>
> 
> >> It would appear that this particular bug yielded to the pure size
> >> increase.  What a singularly useless error behavior for a problem that
> >> is expected to reoccur with some regularity!
> > Still waiting to hear a response to my previous question on why we don't
> > just abort as soon as we detect pure overflow.
> 
> Good question.  The reason is largely histerical, where it was
> convenient to still have a partly usable Emacs.  Nowadays, many more
> people build their Emacs from trunk without having the technical
> knowledge to detect and handle this problem, so it's probably better to
> just abort.

More people building development code doesn't mean more people who
know what to do about pure storage.  So just aborting without any
helpful information (e.g., how much to enlarge the pure space, and
what macro to change) doesn't seem like progress to me.